<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-744"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%3CBMDragCellCollectionViewDelegate%3E%E5%8D%8F%E8%AE%AE%20%E5%8F%82%E8%80%83"></a><title>XHXKit: &lt;BMDragCellCollectionViewDelegate&gt;协议 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('protocol_b_m_drag_cell_collection_view_delegate-p.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="protocol_b_m_drag_cell_collection_view_delegate-p-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">&lt;BMDragCellCollectionViewDelegate&gt;协议 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_b_m_drag_cell_collection_view_8h_source.html">BMDragCellCollectionView.h</a>&gt;</code></p>
<div class="dynheader">
类 &lt;BMDragCellCollectionViewDelegate&gt; 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="protocol_b_m_drag_cell_collection_view_delegate-p.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a275dc987fda1fd9daa2b41612575d85c"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#a275dc987fda1fd9daa2b41612575d85c">dragCellCollectionView:willMoveCellFormIndexPath:toIndexPath:</a></td></tr>
<tr class="separator:a275dc987fda1fd9daa2b41612575d85c"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aa7a3c2d0e80b95549e3298817f6915fd"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#aa7a3c2d0e80b95549e3298817f6915fd">dragCellCollectionView:willDeleteCellAtIndexPath:</a></td></tr>
<tr class="separator:aa7a3c2d0e80b95549e3298817f6915fd"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae709bb53811434faa30df49142869d10"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#ae709bb53811434faa30df49142869d10">dragCellCollectionViewShouldBeginMove:indexPath:</a></td></tr>
<tr class="separator:ae709bb53811434faa30df49142869d10"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aab714e7200848ed9adc858f31929fe72"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#aab714e7200848ed9adc858f31929fe72">dragCellCollectionViewShouldBeginExchange:sourceIndexPath:toIndexPath:</a></td></tr>
<tr class="separator:aab714e7200848ed9adc858f31929fe72"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aa1695e04ca12377062a397acd95fec1b"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#aa1695e04ca12377062a397acd95fec1b">dragCellCollectionViewDidEndDrag:</a></td></tr>
<tr class="separator:aa1695e04ca12377062a397acd95fec1b"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a4a5fad8a5de13e783afe2e6418ccb76a"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#a4a5fad8a5de13e783afe2e6418ccb76a">dragCellCollectionView:beganDragAtPoint:indexPath:</a></td></tr>
<tr class="separator:a4a5fad8a5de13e783afe2e6418ccb76a"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aca75a2cdad684df5dc2ed0991ef275a1"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#aca75a2cdad684df5dc2ed0991ef275a1">dragCellCollectionView:changedDragAtPoint:indexPath:</a></td></tr>
<tr class="separator:aca75a2cdad684df5dc2ed0991ef275a1"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a5add2eca826f05f64856ec7b7d49522d"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#a5add2eca826f05f64856ec7b7d49522d">dragCellCollectionView:endedDragAtPoint:indexPath:</a></td></tr>
<tr class="separator:a5add2eca826f05f64856ec7b7d49522d"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a175791f74ad07e0d2147cd4ef1adbb02"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#a175791f74ad07e0d2147cd4ef1adbb02">dragCellCollectionView:endedDragAutomaticOperationAtPoint:section:indexPath:</a></td></tr>
<tr class="separator:a175791f74ad07e0d2147cd4ef1adbb02"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock"><p><a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html">BMDragCellCollectionViewDelegate</a> 协议 <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html">BMDragCellCollectionViewDelegate</a> protocol </p>
</div><h2 class="groupheader">函数文档</h2>
<a id="a4a5fad8a5de13e783afe2e6418ccb76a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a5fad8a5de13e783afe2e6418ccb76a">◆&nbsp;</a></span>dragCellCollectionView:beganDragAtPoint:indexPath:</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) dragCellCollectionView: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)&nbsp;</td>
          <td class="paramname"><em>dragCellCollectionView</em></td>
        </tr>
        <tr>
          <td class="paramkey">beganDragAtPoint:</td>
          <td></td>
          <td class="paramtype">(CGPoint)&nbsp;</td>
          <td class="paramname"><em>point</em></td>
        </tr>
        <tr>
          <td class="paramkey">indexPath:</td>
          <td></td>
          <td class="paramtype">(NSIndexPath *)&nbsp;</td>
          <td class="paramname"><em>indexPath</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>开始拖拽时 Began to drag</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">dragCellCollectionView</td><td>dragCellCollectionView </td></tr>
    <tr><td class="paramname">point</td><td>响应点击 </td></tr>
    <tr><td class="paramname">indexPath</td><td>响应的indexPath，如果为 nil 说明没有接触到任何 Cell </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="aca75a2cdad684df5dc2ed0991ef275a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca75a2cdad684df5dc2ed0991ef275a1">◆&nbsp;</a></span>dragCellCollectionView:changedDragAtPoint:indexPath:</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) dragCellCollectionView: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)&nbsp;</td>
          <td class="paramname"><em>dragCellCollectionView</em></td>
        </tr>
        <tr>
          <td class="paramkey">changedDragAtPoint:</td>
          <td></td>
          <td class="paramtype">(CGPoint)&nbsp;</td>
          <td class="paramname"><em>point</em></td>
        </tr>
        <tr>
          <td class="paramkey">indexPath:</td>
          <td></td>
          <td class="paramtype">(NSIndexPath *)&nbsp;</td>
          <td class="paramname"><em>indexPath</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>拖拽改变时 Drag and drop to change</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">dragCellCollectionView</td><td>dragCellCollectionView </td></tr>
    <tr><td class="paramname">point</td><td>响应点击 </td></tr>
    <tr><td class="paramname">indexPath</td><td>响应的indexPath，如果为 nil 说明没有接触到任何 Cell </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="a5add2eca826f05f64856ec7b7d49522d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5add2eca826f05f64856ec7b7d49522d">◆&nbsp;</a></span>dragCellCollectionView:endedDragAtPoint:indexPath:</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) dragCellCollectionView: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)&nbsp;</td>
          <td class="paramname"><em>dragCellCollectionView</em></td>
        </tr>
        <tr>
          <td class="paramkey">endedDragAtPoint:</td>
          <td></td>
          <td class="paramtype">(CGPoint)&nbsp;</td>
          <td class="paramname"><em>point</em></td>
        </tr>
        <tr>
          <td class="paramkey">indexPath:</td>
          <td></td>
          <td class="paramtype">(NSIndexPath *)&nbsp;</td>
          <td class="paramname"><em>indexPath</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>结束拖拽时 End drag</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">dragCellCollectionView</td><td>dragCellCollectionView </td></tr>
    <tr><td class="paramname">point</td><td>响应点击 </td></tr>
    <tr><td class="paramname">indexPath</td><td>响应的indexPath，如果为 nil 说明没有接触到任何 Cell </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="a175791f74ad07e0d2147cd4ef1adbb02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a175791f74ad07e0d2147cd4ef1adbb02">◆&nbsp;</a></span>dragCellCollectionView:endedDragAutomaticOperationAtPoint:section:indexPath:</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) dragCellCollectionView: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)&nbsp;</td>
          <td class="paramname"><em>dragCellCollectionView</em></td>
        </tr>
        <tr>
          <td class="paramkey">endedDragAutomaticOperationAtPoint:</td>
          <td></td>
          <td class="paramtype">(CGPoint)&nbsp;</td>
          <td class="paramname"><em>point</em></td>
        </tr>
        <tr>
          <td class="paramkey">section:</td>
          <td></td>
          <td class="paramtype">(NSInteger)&nbsp;</td>
          <td class="paramname"><em>section</em></td>
        </tr>
        <tr>
          <td class="paramkey">indexPath:</td>
          <td></td>
          <td class="paramtype">(NSIndexPath *)&nbsp;</td>
          <td class="paramname"><em>indexPath</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>结束拖拽时时是否内部自动处理 If end drag and drop all the internal automatic processing</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">dragCellCollectionView</td><td>dragCellCollectionView </td></tr>
    <tr><td class="paramname">point</td><td>响应点击 </td></tr>
    <tr><td class="paramname">section</td><td>当前触摸的组，如果是 -1 表示没有接触组 </td></tr>
    <tr><td class="paramname">indexPath</td><td>响应的indexPath，如果为 nil 说明没有接触到任何 Cell </td></tr>
  </tbody></table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>YES: 内部自动操作 NO:外部处理，内部会保持当前的状态，请注意使用 </dd></dl>

</div>
</div>
<a id="aa7a3c2d0e80b95549e3298817f6915fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7a3c2d0e80b95549e3298817f6915fd">◆&nbsp;</a></span>dragCellCollectionView:willDeleteCellAtIndexPath:</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) dragCellCollectionView: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)&nbsp;</td>
          <td class="paramname"><em>dragCellCollectionView</em></td>
        </tr>
        <tr>
          <td class="paramkey">willDeleteCellAtIndexPath:</td>
          <td></td>
          <td class="paramtype">(NSIndexPath *)&nbsp;</td>
          <td class="paramname"><em>indexPath</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">required</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>删除网格 </p><dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">dragCellCollectionView</td><td>网格视图 </td></tr>
    <tr><td class="paramname">indexPath</td><td>需要删除的cell位置 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="a275dc987fda1fd9daa2b41612575d85c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a275dc987fda1fd9daa2b41612575d85c">◆&nbsp;</a></span>dragCellCollectionView:willMoveCellFormIndexPath:toIndexPath:</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) dragCellCollectionView: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)&nbsp;</td>
          <td class="paramname"><em>dragCellCollectionView</em></td>
        </tr>
        <tr>
          <td class="paramkey">willMoveCellFormIndexPath:</td>
          <td></td>
          <td class="paramtype">(NSIndexPath *)&nbsp;</td>
          <td class="paramname"><em>fromIndexPath</em></td>
        </tr>
        <tr>
          <td class="paramkey">toIndexPath:</td>
          <td></td>
          <td class="paramtype">(NSIndexPath *)&nbsp;</td>
          <td class="paramname"><em>toIndexPath</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">required</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>移动网格 </p><dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">dragCellCollectionView</td><td>网格视图 </td></tr>
    <tr><td class="paramname">fromIndexPath</td><td>开始移动的cell位置 </td></tr>
    <tr><td class="paramname">toIndexPath</td><td>移动到的cell位置 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="aa1695e04ca12377062a397acd95fec1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1695e04ca12377062a397acd95fec1b">◆&nbsp;</a></span>dragCellCollectionViewDidEndDrag:</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) dragCellCollectionViewDidEndDrag: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)&nbsp;</td>
          <td class="paramname"><em>dragCellCollectionView</em></td>
          <td></td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>重排完成时 Rearrangement complete</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">dragCellCollectionView</td><td>dragCellCollectionView </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="aab714e7200848ed9adc858f31929fe72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab714e7200848ed9adc858f31929fe72">◆&nbsp;</a></span>dragCellCollectionViewShouldBeginExchange:sourceIndexPath:toIndexPath:</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) dragCellCollectionViewShouldBeginExchange: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)&nbsp;</td>
          <td class="paramname"><em>dragCellCollectionView</em></td>
        </tr>
        <tr>
          <td class="paramkey">sourceIndexPath:</td>
          <td></td>
          <td class="paramtype">(NSIndexPath *)&nbsp;</td>
          <td class="paramname"><em>sourceIndexPath</em></td>
        </tr>
        <tr>
          <td class="paramkey">toIndexPath:</td>
          <td></td>
          <td class="paramtype">(NSIndexPath *)&nbsp;</td>
          <td class="paramname"><em>destinationIndexPath</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>将要交换时，询问是否可以交换 Will exchange, asked if they can exchange</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">dragCellCollectionView</td><td>dragCellCollectionView </td></tr>
    <tr><td class="paramname">sourceIndexPath</td><td>原来的IndexPath </td></tr>
    <tr><td class="paramname">destinationIndexPath</td><td>将要交换的IndexPath </td></tr>
  </tbody></table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>YES: 正常拖拽和移动 NO:此Cell不可拖拽，如：增加按钮等。 </dd></dl>

</div>
</div>
<a id="ae709bb53811434faa30df49142869d10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae709bb53811434faa30df49142869d10">◆&nbsp;</a></span>dragCellCollectionViewShouldBeginMove:indexPath:</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) dragCellCollectionViewShouldBeginMove: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)&nbsp;</td>
          <td class="paramname"><em>dragCellCollectionView</em></td>
        </tr>
        <tr>
          <td class="paramkey">indexPath:</td>
          <td></td>
          <td class="paramtype">(NSIndexPath *)&nbsp;</td>
          <td class="paramname"><em>indexPath</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>将要开始拖拽时，询问此位置的Cell是否可以拖拽 Will begin to drag and drop, asking whether the location of the Cell can drag and drop</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">dragCellCollectionView</td><td>dragCellCollectionView </td></tr>
    <tr><td class="paramname">indexPath</td><td>indexPath </td></tr>
  </tbody></table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>YES: 正常拖拽和移动 NO:此Cell不可拖拽，如：增加按钮等。 </dd></dl>

</div>
</div>
<hr/>该协议的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/BMDragCellCollectionView/<a class="el" href="_b_m_drag_cell_collection_view_8h_source.html">BMDragCellCollectionView.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html">BMDragCellCollectionViewDelegate</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>